Summary: Messaging in the Emacs World
Name: mew-el-emacs
Version: 3.0.58
Release: 1y
# Serial: 44
Source: mew-3.0.58.tar.gz
Patch: mew-3.0.58.patch
#Patch1: mew-3.0.54.patch2
Copyright: GPL2
Requires: perl, emacs >= 20.7
Group: Applications/Editors/EmacsLisp
Packager: Yoshinori ARAI <yoshi@ylug.org>
URL: http://www.mew.org/
Buildroot: /var/tmp/rpm-mew

Summary(ja): Messaging in the Emacs World

%description
* Byte-compiled by emacs20.7.
* patched for mew-use-highlight-{body,url} from mew-dist:16564
Mew is an interface to integrate
- electronic mail
- MIME(Multipurpose Internet Mail Extensions)
- PGP(Pretty Good Privacy)
and to make it easy to view and compose them. With Mew you can
send a picture of a birthday cake with the song "Happy Birthday
to you" to your friend, which is encrypted by strong cryptograph. 

%description -l ja
* emacs20.7ǥХȥѥ뤷Ƥޤ
Mew ȤϡŻҥ᡼롢ͥåȥ˥塼MIMEPGP 礷
ñɤ߽񤭤뤿Υ󥿡եǤMew Ȥ
Сͧã˥γȡHappy Birthday to Youפ
Τź᡼Ź沽ޤ

%prep
%setup -n mew-3.0.58
%patch -p1
#%patch1 -p1

rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/mew
#mkdir -p $RPM_BUILD_ROOT/usr/bin
#mkdir -p $RPM_BUILD_ROOT/usr/info
#mkdir -p $RPM_BUILD_ROOT/usr/doc
              
%build
make all
make info
make jinfo
#cd bin
#./configure --prefix=$RPM_BUILD_ROOT/usr
#make

%install
make DESTDIR=$RPM_BUILD_ROOT install
#make DESTDIR=$RPM_BUILD_ROOT install-info
make DESTDIR=$RPM_BUILD_ROOT install-jinfo
#cp contrib/mewinc $RPM_BUILD_ROOT/usr/bin/.

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc 00* mew.dot.* etc info contrib
/usr/bin/incm
/usr/bin/mewcat
/usr/bin/mewdecode
/usr/bin/mewencode
/usr/bin/mewls
/usr/info/mew.info-1.gz
/usr/info/mew.info-2.gz
/usr/info/mew.info-3.gz
/usr/info/mew.info.gz
/usr/info/mew.jis.info-1.gz
/usr/info/mew.jis.info-2.gz
/usr/info/mew.jis.info-3.gz
/usr/info/mew.jis.info.gz
/usr/lib/emacs/etc/Mew
/usr/man/man1/incm.1.gz
/usr/man/man1/mewcat.1.gz
/usr/man/man1/mewdecode.1.gz
/usr/man/man1/mewencode.1.gz
/usr/man/man1/mewls.1.gz
/usr/share/emacs/site-lisp/mew


%changelog
* Fri Jul 26 2002 Yoshinori ARAI <yoshi@ylug.org>
- for mew-3.0.58 beta
* Thu Jul 25 2002 Yoshinori ARAI <yoshi@ylug.org>
- for mew-3.0.57 beta
* Wed Jul 03 2002 Yoshinori ARAI <yoshi@ylug.org>
- for mew-3.0.55 beta
* Thu Feb 21 2002 Yoshinori ARAI <yoshi@ylug.org>
- for mew-3.0.54 beta
* Wed Feb 13 2002 Yoshinori ARAI <yoshi@ylug.org>
- for mew-3.0.53 beta
* Thu Jan 10 2002 Yoshinori ARAI <yoshi@ylug.org>
- for mew-3.0.52 beta
* Fri Dec 21 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-3.0.51 beta
* Tue Dec 18 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-3.0.50 beta
* Tue Dec 11 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.1.51 beta
* Thu Nov 01 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.1
* Tue Oct 30 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.1rc3
* Fri Oct 26 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.1rc2
* Wed Oct 24 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.1rc1
* Wed Oct 17 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.0.60 beta
* Mon Oct 15 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.0.59 beta
* Wed Oct 10 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.0.58 beta
* Thu Oct 04 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.0.57 beta
* Wed Oct 01 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.0.55 beta
* Wed Sep 26 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.0.54 beta
* Thu Jul 26 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.0 official release
* Mon Jul 23 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.0pre4
* Mon Jul 16 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.0pre2
* Mon Jul 09 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-2.0pre1
* Fri Jun 22 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b126
* Fri May 25 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b123
* Tue Apr 24 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b121
* Tue Apr 24 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b120
* Tue Apr 10 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b119
* Tue Apr 03 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b118
* Fri Mar 30 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b116
* Wed Mar 21 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b115
* Mon Mar 19 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b114
* Wed Mar 14 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b113
* Wed Mar 07 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b112
* Thu Mar 01 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b110
* Wed Feb 28 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b109
* Thu Feb 22 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b108
* Thu Feb 22 2001 Yoshinori ARAI <yoshi@ylug.org>
- for mew-1.95b107 and mew-use-hightlight pathed
* Mon Feb 19 2001 Yoshinori ARAI <yoshi@ylug.org>
- added mewinc
* Sat Feb 17 2001 Yoshinori ARAI <yoshi@ylug.org>
- For 1.95b105
* Wed Jul 19 2000 Yoshinori ARAI <yoshi@ylug.org>
- apply patch for pgp 6.5.1i
* Sat Jul 15 2000 Yoshinori ARAI <yoshi@ylug.org>
- For 1.95b43
* Sat Jul 01 2000 Yoshinori ARAI <yoshi@ylug.org>
- For Kondara emacs 20.6
* Thu Jun 29 2000 Yoshinori ARAI <yoshi@ylug.org>
- For Kondara emacs 20.5
* Mon Jun 05 2000 Yoshinori ARAI <yoshi@ylug.org>
- For 1.95b39
* Fri Jun 02 2000 Yoshinori ARAI <yoshi@ylug.org>
- For 1.95b38
* Fri Apr 21 2000 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.95b34
* Thu Apr 13 2000 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.95b32
* Wed Apr 12 2000 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.95b31
* Mon Oct 18 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.95b3
* Thu Oct 14 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.95b2
* Thu Oct 07 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.95b1
* Mon Sep 06 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.94 stable
* Thu Sep 01 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.94pre3
* Tue Aug 31 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.94pre2
* Mon Aug 30 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.94pre1
* Fri Aug 27 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.94b56
- For 1.94b55 to install /usr/share
- rename(mew -> mew-emacs)
* Thu Aug 26 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.94b55
* Thu Aug 26 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.94b54
* Wed Aug 25 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.94b53
* Thu Aug 19 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.94b52
* Wed Aug 18 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.94b51
* Tue Aug 17 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.94b50
* Tue Aug 17 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.94b48 
* Mon Aug 02 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 1.94b47 
